"""
ESG Replication Modules
=======================
The replication package provides a basic replication facility for the Earth
Systems Grid, ESG. Two command line programs implement the Replication Client.
The program L{esgreplicate} is used to query an ESG gateway for the meta data
of a dataset that can then be used to generate an input file for a 
I{data movement agent} that will download the files for the dataset. 
The replication facility itself B{does not} move data.

With the dataset files downloaded, the program L{esgpublishreplica} can then be
used to perform some basic quality control checks on them and then issue a 
publication request to an ESG gateway for general use.

See the C{main} module entries, L{esgreplicate.main} and 
L{esgpublishreplica.main} respectively, for the details of the command line
options.

See L{configurationKeys} for documentation of the possible key/value pairs that
may be used in an initialization file to configure the Replication Client.

See the README.txt file in the replication EGG archive for additional
documentation.

@organization: USC Information Sciences Institute
"""
__version__ = '0.10.1'

def version():
    """
    Function called when executable scripts are given the "version" option or
    for any function that requires that data.
    @return: String representation of the package version number without any
    other text.
    @rtype: string
    """
    return __version__
